#include <stdlib.h>
#include <stdio.h>

#define MAXN 1000047
static char B[MAXN];
static int S[MAXN];
static int T[MAXN];
static char R[MAXN];

static int C[1 << 8];


int main()
{
    if (!fgets(B, sizeof B, stdin))
	exit(47);
    int x;
    sscanf(B, "%d", &x);
    if (!fgets(B + 1, sizeof B - 1, stdin))
	exit(47);

    int n;

    // bucket sort
    for (n = 1; B[n] != '\n' && B[n]; ++n) {
	int c = (unsigned char) B[n];
	++C[c];
    }

#ifdef VERIFY
    int chars = 0;
#endif
    for (int i = 1; i < (1 << 8); ++i) {
#ifdef VERIFY
	chars += !!C[i];
#endif
	C[i] += C[i-1];
    }

    for (int i = n; i; --i) {
	int c = (unsigned char) B[i];
	T[C[c]--] = i;
    }
    // generate inverse
    for (int i = n; i; --i)
	S[T[i]] = i;
    // generate solution
    for (int i = n-1; i; x = S[x], --i) {
	R[i] = B[x];
#ifdef VERIFY
	if (chars > 1) {
	    if (!B[x]) {
		printf("Nekorektne zadanie (ma cyklus velkosti %d).\n", (n-1) - i);
		exit(1);
	    }
	    B[x] = 0;
	}
#endif
    }

    puts(R+1);
    return 0;
}
